<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 for($registro=$inicio;$registro<=$final;$registro++):
             $amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);			

 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
             	 while ($resTTAP = $userTTAP->retornaDados()):
                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
                     /*

				 	 $yCabecalho1=30;
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;
					 $pdf->Line($margemEsquerda,5,$margemDireita,5);//Horiz topo
					 $pdf->Line($margemEsquerda,5,$margemEsquerda,$futer);//vert esq
					 $pdf->Line($margemDireita,5,$margemDireita,$futer);//vert dir
					 $pdf->Line($margemEsquerda,$futer,$margemDireita,$futer);//horiz base
				     $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";				 
					 $pdf->Image($caminhoFinal,90,6,48,23,'JPG');
					 $pdf->SetFont('Arial','',12);
		         	 $pdf->setXY($posicaox1,$yCabecalho1);
					 $pdf->Cell(60,5,utf8_decode('LIVRO DE PROTOCOLO'),0,0,'L');//natureza
				     $pdf->SetFont('Arial','',8);
					 $pdf->Cell(60,5,'Data:'.date(d).'/'. date(m).'/'. date(Y),0,0,'L');//natureza
					 $pdf->Cell(60,5,$material,0,1,'C',1);//natureza
		             $yCabecalho1+=5;
			         $pdf->setXY($posicaox1,$yCabecalho1);
					 $pdf->Cell($larg1,5,'Amostra',1,0,'L');//natureza
					 $pdf->Cell($larg2,5,'Pedido',1,0,'L');//natureza
					 $pdf->Cell($larg3,5,'Pacote',1,0,'L');//natureza
					 $pdf->Cell($larg4,5,'Cliente',1,0,'L');//natureza
					 $pdf->Cell($larg5,5,'Entrada',1,0,'L');//natureza
					 */
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza
				 	 $cota4=85;
				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=270;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
					 $pdf->Line($margemEsquerda,$cota1,$margemEsquerda,$cotaFinal);//linha externa esquerda	
					 $pdf->Line($margemEsquerda,$cotaFinal,$margemDireita,$cotaFinal);//linha inferior	
					 $pdf->Line($margemDireita,$cota1,$margemDireita,$cotaFinal);	//linha direita
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
					 $pdf->SetFont('Arial','B',10);
					 $posicaoCab1=60;$posicaoCab2=185;
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	//linha vertical a direita do timbre
					 $pdf->Image('ImagensClientes/i' .$idLabo.'.JPG',11,6,48,23,'JPG');//vai dentro de projeto28php/Imagens


			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();



					 $pdf->SetFont('Arial','BU',10);
					 $pdf->setXY($posicaoCab1,5);
					 $pdf->Cell(145,5,'FICHA DE ANALISE DE SEMENTES',0,1,'L');//lab nome
					 $pdf->SetFont('Arial','',10);
					 $pdf->setXY($posicaoCab1,10); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');//lab nome
					 $pdf->Cell($posicaoCab1-$margemEsquerda);$pdf->Cell(145,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[4]),0,1,'L');
					 
				     ################IDENTIFICACAO DA AMOSTRA##################################################
				 	 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				         $largo1=95;           
				         $largo2=95;           
					 $pdf->SetXY($margemEsquerda,$cota2);
				  	 $pdf->SetFont('Arial','B',10);
					 $pdf->Cell($largo1,5,'Amostra:'.$vetorCapturaGeral[1],0,0,'L'); //imprime a amostra
					 //aqui inverte a data
					 $data=$vetorCapturaGeral[36];
					 $dia=substr($data,8,2);
					 $mes=substr($data,5,2);
					 $ano=substr($data,0,4);//ano   1951-02-28
					 $dataFinal=$dia."/".$mes."/".$ano;
					 $pdf->Cell($largo2,5,'Data Recebimento:'.$dataFinal,0,1,'L');//imprme a data
				     $pdf->SetFont('Arial','',8);
					 $pdf->Cell($largo1,4.5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L');$pdf->Cell($largo2,4.5,'Cultivar:'.utf8_decode($vetorCapturaGeral[31]),0,1,'L');
					 $pdf->Cell($largo1,4.5,'Safra:'.$vetorCapturaGeral[34],0,0,'L');$pdf->Cell($largo2,4.5,'Categoria:'.$vetorCapturaGeral[33],0,1,'L');
					 $pdf->Cell($largo1,4.5,'Remetente:'.$vetorCapturaGeral[42],0,0,'L');$pdf->Cell($largo2,4.5,utf8_decode('Função:'.$vetorCapturaGeral[43]),0,1,'L');
					 $pdf->Cell(194,4.5,'Testes a realizar:'.$vetorCapturaGeral[44],0,0,'L');						 ##############cria setor de purezaaaa###############################################3
					 $pdf->Line($margemEsquerda,$cota3,$margemDireita,$cota3);//
					 $largo1=35;	 $largo2=13;	 $largo3=15;	 $largo4=15;	 $largo5=15;
					 $posicaox1=50; $posicaox2=63; $posicaox3=76; $posicaox4=88;
					 $posicaoMeio=97;
				         $altura=4.5;
					 $cota3a=$cota3+1*4.5;
					 $cota3b=$cota3+2*4.5;
					 $cota3c=$cota3+3*4.5;
					 $cota3d=$cota3+4*4.5;
					 $cota3e=$cota3+5*4.5;
					 $cota3f=$cota3+6*4.5;
					 $cota3g=$cota3+7*4.5;
					 $pdf->Line($margemEsquerda,$cota3a,$margemDireita,$cota3a);//
				         //as linhas verticais de pureza
					 $posicao1=$margemEsquerda+$largo1;                         $pdf->Line($posicao1,$cota3a,$posicao1,$cota4);//
					 $posicao2=$margemEsquerda+$largo1+$largo2;                 $pdf->Line($posicao2,$cota3a,$posicao2,$cota4);//
					 $posicao3=$margemEsquerda+$largo1+$largo2+$largo2;         $pdf->Line($posicao3,$cota3a,$posicao3,$cota4);//
					 $posicao4=$margemEsquerda+$largo1+$largo2+$largo2+$largo2; $pdf->Line($posicao4,$cota3a,$posicao4,$cota4);//
				         //as linhas horizontatis  de pureza
					 $pdf->Line($margemEsquerda,$cota3b,$posicaoMeio,$cota3b);//
					 $pdf->Line($margemEsquerda,$cota3c,$posicaoMeio,$cota3c);//
					 $pdf->Line($margemEsquerda,$cota3d,$posicaoMeio,$cota3d);//
					 $pdf->Line($margemEsquerda,$cota3e,$posicaoMeio,$cota3e);//
					 $pdf->Line($margemEsquerda,$cota3f,$posicaoMeio,$cota3f);//
					 //$pdf->Line($margemEsquerda,$cota4,$margemDireita,$cota4);//
					 $pdf->Line($posicaoMeio,$cota3a,$posicaoMeio,$cota4);//linha vertical final de pureza e inicio de naturaza do material inerte

				         //textos de pureza
					 $pdf->SetXY($margemEsquerda,$cota3); $pdf->Cell(194,4.5,utf8_decode('ANÁLISE DE PUREZA: (em').$pdf->vetorFicha[9].'g)',1,1,'C',1);	
					 $pdf->SetXY($posicaox1,$cota3a);$pdf->Cell(30,4.5,'g',0,0,'L');	
					 $pdf->SetXY($posicaox2,$cota3a);$pdf->Cell(7,4.5,'%',0,0,'L');	
					 $pdf->SetXY($posicaox3,$cota3a);$pdf->Cell(7,4.5,'g',0,0,'L');	
					 $pdf->SetXY($posicaox4,$cota3a);$pdf->Cell(7,4.5,'%',0,0,'L');	
					 $pdf->SetXY($posicaoMeio,$cota3a);$pdf->Cell(95,4.5,'Natureza do Material Inerte',0,0,'C');	
					 $pdf->SetXY($margemEsquerda,$cota3b); $pdf->Cell(50,4.5,'Amostra de trabalho',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3c); $pdf->Cell(50,4.5,'Sementes Puras',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3d); $pdf->Cell(50,4.5,'Outras sementes',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3e); $pdf->Cell(50,4.5,'Material inerte',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3f); $pdf->Cell(50,4.5,'Peso final',0,0,'L');	
					 
					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
				         $cota4a=$cota4+1*4.5;
				         $cota4b=$cota4+2*4.5;
				         $cota4c=$cota4+3*4.5;
					 $largura1=48;$largura2=49;$largura3=$largura1+$largura2;
					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura2;
					 $posicao3=$margemEsquerda+$largura1+$largura2+$largura1;
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($margemEsquerda,$cota4);$pdf->cell(194,4.5,utf8_decode('VERIFICAÇÃO DE OUTRAS CULTIVARES: (em').$pdf->vetorFicha[7].'g)',1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4a);$pdf->cell(194,4.5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO: (em').$pdf->vetorFicha[8].'g)',1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4b);
					 $pdf->cell($largura1,4.5,'SILVESTRES',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'OUTRAS ESP. CULTIVADAS',1,0,'C');	 
					 $pdf->cell($largura3,4.5,'NOCIVAS',1,1,'C');	 
					 $pdf->setXY($posicao2,$cota4c);
					 $pdf->cell($largura1,4.5,'TOLERADAS',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'PROIBIDAS',1,1,'C');
					 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha horizontal fechando o setor
				         //tres linhas horizontais separando silvestres,nocivas e oesp          	
					 $pdf->Line($posicao1,$cota4c,$posicao1,$cota5);
					 $pdf->Line($posicao2,$cota4c,$posicao2,$cota5);
					 $pdf->Line($posicao3,$cota4c,$posicao3,$cota5);
				     ################inicio da parte de GERMINACAO########################################
				         $umQuarto=48.5;
				         $cota5a=$cota5+1*4.5;
				         $cota5b=$cota5+2*4.5;
				         $cota5c=$cota5+3*4.5;
				         $cota5d=$cota5+4*4.5;
				         $cota5e=$cota5+5*4.5;
				         $posicaoMeio=97; 
					 $pdf->setXY($margemEsquerda,$cota5);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO(I)'),1,0,'C',1);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO(II)'),1,0,'C',1);

					 $pdf->setXY($margemEsquerda,$cota5a);
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Concluído:'),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Concluído:'),1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5b);
					 $pdf->cell($umQuarto,4.5,'Tratamento:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Tratamento:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5c);
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 
					 $pdf->setXY($margemEsquerda,$cota5d);
					 $pdf->cell($umQuarto,4.5,'Substrato:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Substrato:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5e);
					 $pdf->cell($umQuarto,4.5,'Analista:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Data:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Analista:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Data:',1,0,'L');
					 
				     ################iPARTE  ONDE VAO AS LEITURAS#######################################
				     
					 $vetor="";
					 $pdf->Line($margemEsquerda,$cota7,$margemDireita,$cota7);//linha horizontal abaixo da grade do teste pureza
				     $largo[1]=20;
					 $larguraMenor=8;
					 for($i=2;$i<=9;$i++)
					 {
					     $largo[$i]=$larguraMenor;
						 $largo[$i+9]=$larguraMenor;
				     }		  
					 $largo[10]=20;
					 $vetor="";
					 $vetor[1][2]="A";$vetor[1][3]="B";$vetor[1][4]="C";$vetor[1][5]="D";$vetor[1][6]="E";$vetor[1][7]="F";$vetor[1][8]="G";$vetor[1][9]="H";
					 $vetor[2][1]=$vetor[2][10]="Normais:";
					 $vetor[6][1]=$vetor[6][10]=utf8_decode("Soma");

					 $vetor[7][1]=$vetor[7][10]="Defeit.;";
					 $vetor[11][1]=$vetor[11][10]=utf8_decode("Soma");

					 $vetor[12][1]=$vetor[12][10]="Infec.";
					 $vetor[16][1]=$vetor[16][10]=utf8_decode("Soma");

					 $vetor[17][1]=$vetor[17][10]="Mortas";
					 $vetor[19][1]=$vetor[19][10]=utf8_decode("Soma");


					 $vetor[20][1]=$vetor[20][10]="Duras";
					 $vetor[22][1]=$vetor[22][10]="Dormentes";
					 $linhaCalculada=$cota7;
					 $finalHorizontal=$margemEsquerda;
					 $pdf->setXY($margemEsquerda,$cota7);
					 for($i=1;$i<=$colunas;$i++)$finalHorizontal+=$largo[$i];
					 $posicao=$margemEsquerda;
					 $pdf->SetLineWidth($fino);
					 $pdf->SetLineWidth($fino);
					 $colunas=9;
					 $linhas=23;
				     //imprime a parte da esquerda
					 $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetXY($margemEsquerda,$linhaCalculada);
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 $pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],4.5,$vetor[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=4.5;
				     }
                     //impime a metade da direita
                     $margemEsquerda1=$margemEsquerda+97; 
				     $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetXY($margemEsquerda1,$linhaCalculada);
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 $pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],4.5,$vetor[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=4.5;
				     }
					 //imprime a palavra media
				     $linhaCalculada=$cota7;
					 $pdf->SetXY($margemEsquerda+84,$linhaCalculada);
					 $pdf->Cell(13,4.5,'Media',1,0,'C',1);	
					 $pdf->SetXY($margemEsquerda1+84,$linhaCalculada);
					 $pdf->Cell(13,4.5,'Media',1,0,'C',1);	
					 //imprime os separadores curtas abaixo da palavra[ media  ]
					 //primeiras duas linhas curtas
				     $cotaLinha1=$linhaCalculada+27;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //segundas linhas curtas
				     $cotaLinha1=$linhaCalculada+49.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //terceiras linhas curtas(antes de mortas)
				     $cotaLinha1=$linhaCalculada+72;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //quartas linhas curtas
				     $cotaLinha1=$linhaCalculada+85.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //quintas linhas curtas
				     $cotaLinha1=$linhaCalculada+94.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //sextas linhas curtas
				     $cotaLinha1=$linhaCalculada+103.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 
					########################rodape####################
				     $pdf->setXY($margemEsquerda,$cota8);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(100,5,utf8_decode('Outras determinações:'),0,1,'L');	 
				     $pdf->setXY($margemEsquerda,$cota8+5);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(40,4.5,utf8_decode('Responsável técnico:').utf8_decode($pdf->vetorTecnico[0]),0,1,'L');	

				     $pdf->setXY($margemEsquerda,$cotaFinal);
					 $pdf->SetFont('Arial','B',7);
					 $pdf->cell(20,4,'SilasNet- ficha1',1,1,'L');	 
				 endif;

             endwhile; //este while encerra a colecao de amostras   
			endfor;//fecha o loop de amostras segundo um registro 
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
